import { OnInit } from "@angular/core";
import { DomSanitizer, SafeHtml } from "@angular/platform-browser";
import { ActivatedRoute } from "@angular/router";
import { StoreRegistry } from "@smallstack/common-components";
import { BaseWidgetComponent, WidgetConfigurationSchema } from "@smallstack/widget-core";
import { TextManipulationService } from "../../../services/text-manipulation.service";
import * as i0 from "@angular/core";
export declare class HtmlWidgetComponent extends BaseWidgetComponent implements OnInit {
    private sanitizer;
    private storeRegistry;
    private activatedRoute;
    private textManipulationService;
    html: string | SafeHtml;
    static getConfiguration(): WidgetConfigurationSchema;
    constructor(sanitizer: DomSanitizer, storeRegistry: StoreRegistry, activatedRoute: ActivatedRoute, textManipulationService: TextManipulationService);
    ngOnInit(): Promise<void>;
    private getProcessedTemplate;
    static ɵfac: i0.ɵɵFactoryDeclaration<HtmlWidgetComponent, [null, null, { optional: true; }, null]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<HtmlWidgetComponent, "ng-component", never, {}, {}, never, never, false, never>;
}
