import { OnInit } from "@angular/core";
import { AxiosApiClient, OrderDto } from "@smallstack/axios-api-client";
import { BaseWidgetComponent, WidgetConfigurationSchema } from "@smallstack/widget-core";
import * as i0 from "@angular/core";
export declare class LatestOrdersWidgetComponent extends BaseWidgetComponent implements OnInit {
    private axiosApiClient;
    orders: OrderDto[];
    displayedColumns: string[];
    static getConfiguration(): WidgetConfigurationSchema;
    constructor(axiosApiClient: AxiosApiClient);
    ngOnInit(): void;
    getOrders(): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<LatestOrdersWidgetComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LatestOrdersWidgetComponent, "latest-orders-widget", never, {}, {}, never, never, false, never>;
}
